import { Vector3 } from "@minecraft/server";
import AbstractAgentTrackMission from "../../Commandeer/level/abstractTrackFollowMission";
import { vector3 } from "../../Commandeer/utils/vectorUtils";

const Level1CommandBlockPos: Vector3 = vector3(2439, 0, 36);

const level1StartPosition: Vector3 = vector3(2451, -2, 57);
const Level1EndPosition: Vector3 = vector3(2451, -2, 41);

let mission1part1: AbstractAgentTrackMission = new AbstractAgentTrackMission(
  "mission1part1",
  level1StartPosition,
  Level1EndPosition,
  Level1CommandBlockPos
);

export default mission1part1;
